package de.megalon.my_richfaces_app;

import java.io.Serializable;
import java.util.logging.Logger;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;

@ManagedBean
@ViewScoped
public class LoginBean implements Serializable {
    private static final Logger log = Logger.getLogger("LoginBean"); 

    private static final long serialVersionUID = -2403138958014741653L;
    private String name;
    private String password;

    public LoginBean() {
    }
    
    public String loginAction() {
      log.info("logging in!");
      return "success";
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPassword() {
      return password;
    }

    public void setPassword(String password) {
      this.password = password;
    }
}
